1

[alpine-devel] [PATCH] Initial APKBUILD for pyserial

Fabian Affolter
Details
Message ID
<1314305853-3735-1-git-send-email-fabian@affolter-engineering.ch>
Sender timestamp
1314305853
DKIM signature
missing
Download raw message
Patch: +52 -0
Package description:
This module encapsulates the access for the serial port. It
provides backends for Python.
---
 testing/py-serial/APKBUILD |   52 ++++++++++++++++++++++++++++++++++++++++++++
 1 files changed, 52 insertions(+), 0 deletions(-)
 create mode 100644 testing/py-serial/APKBUILD

diff --git a/testing/py-serial/APKBUILD b/testing/py-serial/APKBUILD
new file mode 100644
index 0000000..200eab1
--- /dev/null
+++ b/testing/py-serial/APKBUILD
@@ -0,0 +1,52 @@
+# Contributor: Fabian Affolter <fabian@affolter-engineering.ch>
+# Maintainer: Fabian Affolter <fabian@affolter-engineering.ch>
+pkgname=py-serial
+_realname=pyserial
+pkgver=2.5
+pkgrel=0
+pkgdesc="Python Serial Port Extension"
+url="http://pyserial.sourceforge.net/"
+arch="noarch"
+license="Python"
+depends="python"
+makedepends="python-dev"
+install=""
+subpackages="$pkgname-doc $pkgname-examples"
+source="http://pypi.python.org/packages/source/p/"$_realname"/pyserial-$pkgver.tar.gz"
+_builddir="$srcdir"/$_realname-$pkgver
+
+build() {
+	cd "$_builddir"
+	python setup.py build || return 1
+}
+
+package() {
+	cd "$_builddir"
+	python setup.py install --prefix=/usr --root="$pkgdir" || return 1
+}
+
+doc() {
+	cd "$_builddir"
+	mkdir -p "$subpkgdir"/usr/share/doc/$pkgname/ || return 1
+	# Documentation files
+	_docs="appendix.rst examples.rst pyparallel.rst pyserial.rst \
+		pyserial_api.rst shortintro.rst"
+	for _doc in $_docs; do
+		mv "$srcdir"/$_realname-$pkgver/documentation/$_doc \
+			"$subpkgdir"/usr/share/doc/$pkgname/$_doc || return 1
+	done
+}
+
+examples() {
+	cd "$_builddir"
+	mkdir -p "$subpkgdir"/usr/share/doc/$pkgname/examples || return 1
+	# Example files
+	_examples="enhancedserial.py miniterm.py rfc2217_server.py scan.py \
+		scanlinux.py tcp_serial_redirect.py port_publisher.py port_publisher.sh"
+	for _example in $_examples; do
+		mv "$srcdir"/$_realname-$pkgver/examples/$_example \
+			"$subpkgdir"/usr/share/doc/$pkgname/examples/$_example || return 1
+	done
+}
+
+md5sums="34340820710239bea2ceca7f43ef8cab  pyserial-2.5.tar.gz"
-- 
1.7.4.5



---
Unsubscribe:  alpine-devel+unsubscribe@lists.alpinelinux.org
Help:         alpine-devel+help@lists.alpinelinux.org
---
Natanael Copa
Details
Message ID
<20110826191615.798b3d9f@alpinelinux.org>
In-Reply-To
<1314305853-3735-1-git-send-email-fabian@affolter-engineering.ch> (view parent)
Sender timestamp
1314378975
DKIM signature
missing
Download raw message
On Thu, 25 Aug 2011 20:57:33 +0000
Fabian Affolter <fabian@affolter-engineering.ch> wrote:

> Package description:
> This module encapsulates the access for the serial port. It
> provides backends for Python.
> ---
>  testing/py-serial/APKBUILD |   52
> ++++++++++++++++++++++++++++++++++++++++++++ 1 files changed, 52
> insertions(+), 0 deletions(-) create mode 100644
> testing/py-serial/APKBUILD
> 

Applied. Thanks!

-nc


---
Unsubscribe:  alpine-devel+unsubscribe@lists.alpinelinux.org
Help:         alpine-devel+help@lists.alpinelinux.org
---